body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    background: #1a1a1a;
}

#player {
    width: 800px;
    height: 600px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
    display: flex;
    flex-direction: column;
}

.video-container {
    flex: 1;
}

.viewing-panel {
    color: white;
    flex: 1;
    display: flex;
    font-size: 14pt;
    align-items: center;
    gap: 8px;
    padding: 0 8px;
}

.viewing-time {
    flex-shrink: 0;
}

.progress-track {
    border-radius: 10px;
    height: 5px;
    flex: 1;
    min-width: 100px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
    background-color: #333;
}

.progress-slider {
    background-color: red;
    height: 100%;
    width: 0;
}

.video-duration {
    flex-shrink: 0;
    color: white;
    font-size: 14pt;
}

.bottom-controls {
    background-color: black;
    flex-shrink: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 3px;
}

.control-button {
    border: none;
    margin: 1px;
    background-color: transparent;
    color: white;
    width: 32px;
    height: 32px;
    cursor: pointer;
    padding: 0;
}

.control-button:hover {
    color: #ccc;
}

.control-button i {
    font-size: 14pt;
}

.left-buttons {
    display: flex;
    gap: 5px;
}

.right-buttons {
    display: flex;
}

.progress-dot {
    opacity: 0;
    margin-left: -7px;
    border-radius: 50%;
    border: 3px solid white;
    background-color: red;
    height: 8px;
    width: 8px;
    box-shadow: 0 0 10px 5px rgba(0, 0, 0, 0.5);
    transition: opacity 300ms ease-out;
}

.current-time {
    margin-right: 8px;
}

.progress-track:hover .progress-dot {
    opacity: 1;
    transition-timing-function: ease-in;
}